

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Welcome to POSYDON’s documentation! &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="install/index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="#" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="#" class="icon icon-home"></a> &raquo;</li>
        
      <li>Welcome to POSYDON’s documentation!</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="welcome-to-posydon-s-documentation">
<h1>Welcome to POSYDON’s documentation!<a class="headerlink" href="#welcome-to-posydon-s-documentation" title="Permalink to this headline">¶</a></h1>
<div class="section" id="table-of-contents">
<h2>Table of Contents<a class="headerlink" href="#table-of-contents" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="install/index.html">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="install/index.html#conda">Conda</a><ul>
<li class="toctree-l3"><a class="reference internal" href="install/index.html#macos">MacOS</a></li>
<li class="toctree-l3"><a class="reference internal" href="install/index.html#unix">Unix</a></li>
<li class="toctree-l3"><a class="reference internal" href="install/index.html#installation-notes-faq">Installation Notes/FAQ</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/inifile.html">Configuration files for POSYDON</a><ul>
<li class="toctree-l2"><a class="reference internal" href="run_mesa_grids/inifile.html#how-to-write-a-configuration-file">How to write a configuration file</a><ul>
<li class="toctree-l3"><a class="reference internal" href="run_mesa_grids/inifile.html#slurm">[slurm]</a></li>
<li class="toctree-l3"><a class="reference internal" href="run_mesa_grids/inifile.html#mesa-inlists">[mesa_inlists]</a></li>
<li class="toctree-l3"><a class="reference internal" href="run_mesa_grids/inifile.html#mesa-extras">[mesa_extras]</a></li>
<li class="toctree-l3"><a class="reference internal" href="run_mesa_grids/inifile.html#run-parameters">[run_parameters]</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/PSyGrid.html">The PSyGrid Object</a><ul>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/PSyGrid.html#creating-a-psygrid-object">Creating a PSyGrid object</a><ul>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/PSyGrid.html#basic-example">Basic example</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/PSyGrid.html#output-options">Output options</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/PSyGrid.html#setting-the-properties-of-the-grid">Setting the properties of the grid</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/PSyGrid.html#loading-an-existing-psygrid-object">Loading an existing PSyGrid object</a></li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/PSyGrid.html#closing-deleting-a-psygrid-object">Closing/deleting a PSyGrid object</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a><ul>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#how-to-plot-termination-flags">How to plot termination flags</a><ul>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#termination-flag-1">Termination flag 1</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#termination-flag-2">Termination flag 2</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#termination-flags-3-4">Termination flags 3 &amp; 4</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#all-termination-flags">All termination flags</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#how-to-plot-up-to-onset-of-rlo">How to plot up to onset of RLO</a></li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot2D/plot2D.html#combine-grids-in-one-plot">Combine grids in one plot</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a><ul>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#how-to-plot-one-track">How to plot one track</a><ul>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#plot-one-quantity-in-funtion-of-another-one">Plot one quantity in funtion of another one</a></li>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#plot-many-quantities-in-funtion-of-another-one">Plot many quantities in funtion of another one</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#how-to-plot-many-tracks">How to plot many tracks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#plot-one-ore-more-quantities-in-funtion-of-another-one-for-multiple-tracks">Plot one ore more quantities in funtion of another one for multiple tracks</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#plot-an-extra-one-with-a-color-map">Plot an extra one with a color map</a></li>
<li class="toctree-l2"><a class="reference internal" href="PSyGrid/plot1D/plot1D.html#how-to-plot-an-hr">How to plot an HR</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="SingleStar/SingleStar.html">The Single Star Object</a><ul>
<li class="toctree-l2"><a class="reference internal" href="SingleStar/SingleStar.html#creating-a-singlestar-object">Creating a SingleStar object</a><ul>
<li class="toctree-l3"><a class="reference internal" href="SingleStar/SingleStar.html#starproperties">STARPROPERTIES</a></li>
<li class="toctree-l3"><a class="reference internal" href="SingleStar/SingleStar.html#state-options">State options</a></li>
<li class="toctree-l3"><a class="reference internal" href="SingleStar/SingleStar.html#basic-example">Basic example</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="BinaryStar/BinaryStar.html">The Binary Star Object</a><ul>
<li class="toctree-l2"><a class="reference internal" href="BinaryStar/BinaryStar.html#creating-a-binarystar-object">Creating a BinaryStar object</a><ul>
<li class="toctree-l3"><a class="reference internal" href="BinaryStar/BinaryStar.html#binaryproperties">BINARYPROPERTIES</a></li>
<li class="toctree-l3"><a class="reference internal" href="BinaryStar/BinaryStar.html#state-options">State options</a></li>
<li class="toctree-l3"><a class="reference internal" href="BinaryStar/BinaryStar.html#event-options">Event options</a></li>
<li class="toctree-l3"><a class="reference internal" href="BinaryStar/BinaryStar.html#mass-transfer-case">Mass Transfer case</a></li>
<li class="toctree-l3"><a class="reference internal" href="BinaryStar/BinaryStar.html#basic-example">Basic example</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="visualization/VH_diagram.html">Van den Heuvel diagrams</a><ul>
<li class="toctree-l2"><a class="reference internal" href="visualization/VH_diagram.html#visualize-specific-index">Visualize specific index</a><ul>
<li class="toctree-l3"><a class="reference internal" href="visualization/VH_diagram.html#simple-usage">Simple usage</a></li>
<li class="toctree-l3"><a class="reference internal" href="visualization/VH_diagram.html#set-view">Set view</a></li>
<li class="toctree-l3"><a class="reference internal" href="visualization/VH_diagram.html#set-display-mode">Set display mode</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="package-documentation">
<h2>Package documentation<a class="headerlink" href="#package-documentation" title="Permalink to this headline">¶</a></h2>
<p>Please consult these pages for more details on using cosmic:</p>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="install/index.html" class="btn btn-neutral float-right" title="Installation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>